com.rscja.deviceapi.entity

## Class TagInfoRule

- java.lang.Object
- - com.rscja.deviceapi.entity.TagInfoRule

-     public class TagInfoRule
      extends java.lang.Object

  盘点规则

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagInfoRule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InventoryModeEntity` | `getInventoryModeEntity()` 获取盘点模式
    `InventoryParameter` | `getInventoryParameter()` 获取盘点参数
    `boolean` | `isContainAnt()` 是否包含天线
    `TagInfoRule` | `setContainAnt(boolean containAnt)` 设置标签是否包含天线信息
    `TagInfoRule` | `setInventoryModeEntity(InventoryModeEntity inventoryModeEntity)` 设置盘点模式
    `TagInfoRule` | `setInventoryParameter(InventoryParameter inventoryParameter)` 设置盘点标签的参数信息

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagInfoRule

          public TagInfoRule()

  - ### Method Detail

    - #### isContainAnt

          public boolean isContainAnt()

      是否包含天线
      Returns:
        true:包含： false:不包含

    - #### setContainAnt

          public TagInfoRule setContainAnt(boolean containAnt)

      设置标签是否包含天线信息
      Parameters:
        `containAnt` - true:包含： false:不包含
      Returns:
        盘点规则对象

    - #### getInventoryParameter

          public InventoryParameter getInventoryParameter()

      获取盘点参数
      Returns:
        盘点规则对象

    - #### setInventoryParameter

          public TagInfoRule setInventoryParameter(InventoryParameter inventoryParameter)

      设置盘点标签的参数信息
      Parameters:
        `inventoryParameter` - 标签的参数信息
      Returns:
        盘点规则对象

    - #### getInventoryModeEntity

          public InventoryModeEntity getInventoryModeEntity()

      获取盘点模式
      Returns:
        InventoryModeEntity

    - #### setInventoryModeEntity

          public TagInfoRule setInventoryModeEntity(InventoryModeEntity inventoryModeEntity)

      设置盘点模式
      Parameters:
        `inventoryModeEntity` -
      Returns:
        盘点规则对象